3 posts by 2 authors in: Forums > CMS Builder
Last Post: May 17, 2017   (RSS)

By Deborah - May 16, 2017

This question is for Interactive Tools...

As regards the viewer pages code when upgrading existing CMSB sites (versions 2.61 to 3.08) to the new version 3.09 for PHP 7...

Other than compatibility with plugins or custom programming done by IT, is there anything I need to be aware of for viewer code when upgrading? This question is in reference to code formerly created via the CMSB Code Generator and any commonly used code snippets for searches, etc., not any specialized code.

Before I take the upgrade leap, I'd like to better understand what impact this might have for my workload.

Thanks in advance for any insights!

~ Deborah

By ross - May 17, 2017

Hi Deborah

Thanks for posting.

The upgrade of CMS Builder itself isn't going to impact your viewer pages code.  

It's only when PHP on your server is upgraded to version 7.x that you might find some older code needs to also be updated.

Even then, it will only be code that has been manually written outside of CMS Builder's code generator.

Do you have a dev server?  Or perhaps a local WAMP server? 

If you have either, you can switch those to PHP 7 and install your website.That will give you a good idea of anything that needs to be adjusted.

Does that all make sense? 

Let me know any questions or feedback.

-----------------------------------------------------------
Cheers,
Ross Fairbairn - Consulting
consulting@interactivetools.com

Hire me! Save time by getting our experts to help with your project.
Template changes, advanced features, full integration, whatever you
need. Whether you need one hour or fifty, get it done fast with
Priority Consulting: http://www.interactivetools.com/consulting/